
/* DEFS: group CommLB: CentralLB{
void CommLB(void);
};
 */
#ifndef CK_TEMPLATES_ONLY
int CProxy_CommLB::__idx=0;
#endif
#ifndef CK_TEMPLATES_ONLY
    void CProxy_CommLB::__register(const char *s, size_t size) {
      __idx = CkRegisterChare(s, size);
  _REGISTER_BASE(__idx, CProxy_CentralLB::__idx);
    /* REG: void CommLB(void);
*/
      __idx_CommLB_void = CkRegisterEp("CommLB", (CkCallFnPtr)_call_CommLB_void, 0, __idx);
    }
#endif
#ifndef CK_TEMPLATES_ONLY
/* DEFS: void CommLB(void);
 */
int CProxy_CommLB::__idx_CommLB_void=0;
CkGroupID CProxy_CommLB::ckNew(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroup(__idx, __idx_CommLB_void, msg, 0, 0);
}
CkGroupID CProxy_CommLB::ckNewSync(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroupSync(__idx, __idx_CommLB_void, msg);
}
  CProxy_CommLB::CProxy_CommLB(int retEP, CkChareID *cid)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_CommLB_void, msg, retEP, cid);
  _setChare(0);
}
  CProxy_CommLB::CProxy_CommLB(void)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_CommLB_void, msg, 0, 0);
  _setChare(0);
}
void CProxy_CommLB::_call_CommLB_void(void* msg, CommLB* obj)
{
  new (obj) CommLB();
  CkFreeSysMsg(msg);
}
#endif /*CK_TEMPLATES_ONLY*/

#ifndef CK_TEMPLATES_ONLY
void _registerCommLB(void)
{
  static int _done = 0; if(_done) return; _done = 1;
      _registerCentralLB();

/* REG: group CommLB: CentralLB{
void CommLB(void);
};
*/
  CProxy_CommLB::__register("CommLB", sizeof(CommLB));

}
#endif
